module A = struct
  let b:unit = ()
  module A = struct
    let b:int = 5
    module A = struct
      let b:int = b
    end
    module B = struct
      let b:int = A.b
    end
  end
end

module C = struct
  let b:unit = ()
end
